import com.nokia.meego 1.0
import QtQuick 1.1
import com.nokia.extras 1.1
import com.nokia.controlpanel 0.1
import org.razumey.Ambiance 1.0
import org.razumey.GConf 1.0


Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait
    tools: ToolBarLayout {
        ToolIcon {
            iconId: "toolbar-back"
onClicked: { 
	if (pageStack.depth > 1) 
      { pageStack.pop();} 
	else if (dcp.isStandalone) 
      { dcp.popupMainPageAlone();} 
	else 
    Qt.quit(); }                
  }	
}
	
	Component.onCompleted: {      
              beats.checked = gconf.get("/apps/razumey/beats", false)
    }
	
    Ambiance {
        id: ambiance
    }

    GConf {
        id: gconf
    }		
	
    Flickable {
        id: flickable
        anchors.fill: parent
        flickableDirection: Flickable.VerticalFlick
        contentHeight: content.height	
		
	Column {
        id: content
        spacing: 20
        width: parent.width
		
        DcpPageTitle {
                id: titleLabel
                text: "Volume Settings"
            }

			Label {
            text: "Settings external speaker volume and wired headset."
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }
			
			Label {
            text: "Attention Please!!! All changes remain after reboot device!!!"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 20
            }
			Separator {
                width: parent.width
                title: "Headphones"
            }			
		Row {
		width: 400
		
		    Label {
            text: "Enable/Disable DAC"
	        anchors.left: parent.left
            anchors.right: parent.right
	        anchors.leftMargin: 16
	        color: "white"
		    }		
			
            MySwitch {
                id: beats
                onClicked: {
                    if (checked) {
					   gconf.set("/apps/razumey/beats", "true")
                       ambiance.shell("/usr/share/duicontrolpanel/volume/beats.sh")
                       }
                    else {
					   gconf.set("/apps/razumey/beats", "false")
                       ambiance.shell("/usr/share/duicontrolpanel/volume/beats.sh")
                    }
                   gconf.set("/apps/razumey/beats", checked)
                }
            }
				 }   

			
			Separator {
                width: parent.width
                title: "Loudspeaker"
            }
			
	        Label {
            text: "Select the percentage of power"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }			
		
        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Volume 33%"
            onClicked: {
			    ambiance.shell("/usr/share/duicontrolpanel/volume/ru/low.sh")
                }
            }

        Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Volume 65%"
            onClicked: {
			    ambiance.shell("/usr/share/duicontrolpanel/volume/ru/medium.sh")
                }
        }
    
	    Button {
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Volume 100%"
            onClicked: {
			    ambiance.shell("/usr/share/duicontrolpanel/volume/ru/max.sh")
                }
        }
	    
		Separator {
                width: parent.width
                title: "Feedback"
            }
			
			Label {
            text: "Connect with me:"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            }
			
	    Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            text:
                "<a href=\"http://m.vk.com/id10202be9\">vk.com</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
		
		Label {
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHLeft
            wrapMode: Text.WordWrap
			font.pixelSize: 34
            text:
                "<a href=\"https://twitter.com/iRazumey\">Twitter</a>"
            onLinkActivated: Qt.openUrlExternally(link)
		}
	    
		Item { //spacing
                width: 1
                height: 30
        }
		
		Label {
            text: "Collected on the basis of the console script N9Qtweak user Schturman. Thanks Ancelad and venomcortx1 for the Beats"
            anchors.left: parent.left
            anchors.leftMargin: 16
            anchors.right: parent.right
            anchors.rightMargin: 16
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
			font.pixelSize: 24
            }	
				
		Item { //spacing
                width: 1
                height: 30
        }
		
		ScrollDecorator {
             flickableItem: flickable
        }   	   
    }
}
}
